package de.drmaxnix.mfcbalance.util

import androidx.compose.runtime.MutableState
import androidx.compose.runtime.mutableStateOf
import kotlin.math.max

object DebugLog {
    private var mutableDebugText: String = ""
    private var mutableDebugTextRef = mutableStateOf(mutableDebugText)

    fun clear(){
        mutableDebugTextRef.value = ""
    }

    fun addLine(
        level: Int,
        line: String
    ){
        // spacing
        if(mutableDebugTextRef.value.isNotEmpty() && level <= 0) mutableDebugTextRef.value += "\n"

        // indent
        val repeat = max(0, (level * 3) - 1)
        mutableDebugTextRef.value += "-".repeat(repeat) + if(level > 0) "> " else ""

        // line
        mutableDebugTextRef.value += "$line\n"
    }

    fun getMutableDebugTextRef(): MutableState<String> {
        return mutableDebugTextRef
    }
}
