<?php
	declare(strict_types = 1);
	namespace Drmaxnix\Mfcbalance;
	use Flake\Page;
	
	// CONVERT MARKDOWN TO HTML //
	// load parsedown library (not included)
	require(FLAKE_BASEPATH . "/custom/Parsedown.php");
	
	// convert
	$md = file_get_contents("../README.md");
	$html = (new \Parsedown())->text($md);
	
	
	// PAGE INIT //
	Page::start();
	Page::title("MFC Balance - Generic Reader for Balance on MIFARE Classic Cards");
	
	Page::description("MFC Balance is a Generic Reader for Balance on MIFARE Classic Cards");
	Page::robots(index: true, follow: true);
	Page::keywords("RFID", "NFC", "MFC", "MIFARE", "MIFARE Classic", "NFC Card", "NFC Tag", "Balance", "Money", "FOSS");
	Page::author("DrMaxNix");
	
	Page::icon("../app/src/main/logo-playstore.png");
	Page::lang("en");
	Page::viewport(scale: 0.75, zoom: false);
	
	Page::$head["analytics"] = '<script defer data-domain="mfcbalance.drmaxnix.de" src="https://analytics.tjdev.de/js/script.file-downloads.outbound-links.js"></script>';
	
	Page::css("./page/style.css");
	Page::font("ubuntu");
?>





<div class="page-container">
	<div class="page">
		<div class="element about">
			<?= $html ?>
		</div>

		<?php require("./page/footer.php"); ?>
	</div>
</div>
